backtop


Print 35 comment(s) - last by HighWing.. on Nov 13 at 12:57 PM


iPhone 1.1.1 prepped for 1.1.2 jailbreak  (Source: TUAW)
Apple's latest effort to thwart iPhone and iPod touch hacking futile

When Apple announced the release of the iPhone for the UK, it also announced that iPhone and iPod touch firmware version 1.1.2 would be released at the same time. Released today, firmware 1.1.2 closes the TIFF vulnerability in mobile Safari that was used to jailbreak firmware 1.1.1.

Confirmed by DailyTech, the TIFF vulnerability no longer works. However, despite Apple's effort to lockdown the iPhone and iPod touch, firmware 1.1.2 has already been jailbroken.

Credit go to the people behind AppSnap, the same utility used to jailbreak 1.1.1 devices. According to TUAW, testing of the new jailbreak began several nights ago, when the new 1.1.2 firmware was made available for download not through iTunes, but through Apple's website.

In its current stage, the new jailbreak requires several steps in order to complete, and is by no means release ready and user friendly. AppSnap and jailbreakme.com still remains open for 1.1.1 only, but the new jailbreak is being prepared for the same single tap installation.

According to TUAW's report, firmware 1.1.1 is required in order for the jailbreak to work with 1.1.2, although it is unclear at this point whether or not this will still be a requirement once AppSnap is officially updated.

Those with hacked 1.1.1 devices may wish to hold off from upgrading to 1.1.2 since it does not appear to provide any significant upgrade. The only noticeable change is the inclusion of several international language packs.

Jailbreaking may become a thing of the past if Apple keeps its promise. Apple announced in early October that come February 2008, developers will have an official iPhone SDK. The announcement was well received by the developer community. Currently, third-party applications for the iPhone are done via web applications and are mostly cumbersome to use and slow in nature.


Comments     Threshold


This article is over a month old, voting and posting comments is disabled

RE: What?
By theapparition on 11/11/2007 6:38:32 PM , Rating: 2
What kind of stupid argument is that?

By your same reasoning, there should be at least as many viruses for Vista as there are for XP. Clearly, the amount of time that a system has been on the market has some bearing on the amount of viable malware attacks, don't you agree?


RE: What?
By Ralph The Magician on 11/11/2007 7:48:18 PM , Rating: 1
quote:
By your same reasoning, there should be at least as many viruses for Vista as there are for XP.

Exactly! But Vista doesn't have as much malware as XP, because Vista is more secure.

The point is that OS X can't be secure because of security through obscurity. OS 9 had a lot of problems, and yet OS X has had virtually zero, despite the fact that the Mac userbase is bigger today than it ever was before. OS 9 was not secure because of security through obscurity—and neither is OS X.


RE: What?
By HighWing on 11/13/2007 12:57:08 PM , Rating: 1
quote:
Mac userbase is bigger today than it ever was before.


that may be true, but it's still a fraction of what windows users are.

If you deny the claim of security through obscurity then I have just one question for you. If you were a virus/malware writer looking to profit from it, which platform would you write a virus for? The system that has less then 10% of users or the one that has the other 90%? It doesn't take a rocket scientist to figure that one out


"Well, there may be a reason why they call them 'Mac' trucks! Windows machines will not be trucks." -- Microsoft CEO Steve Ballmer

Related Articles













botimage
Copyright 2014 DailyTech LLC. - RSS Feed | Advertise | About Us | Ethics | FAQ | Terms, Conditions & Privacy Information | Kristopher Kubicki